package mobvista.dmp.datasource.dm

import java.util

import com.esotericsoftware.kryo.Kryo
import org.apache.spark.serializer.KryoRegistrator

/**
  * @package: mobvista.dmp.datasource.dm
  * @author: wangjf
  * @create: 2018-11-28 09:23:58
  **/
class MyRegisterKryo extends KryoRegistrator {
  override def registerClasses(kryo: Kryo): Unit = {
    kryo.register(classOf[DmInterestTag])
    kryo.register(classOf[util.HashMap[String, (String, String, String)]])
  }
}
